Skip to main content
GET
Get job progress
Use this endpoint for frame counts while a render runs. It can return null before counters exist. Use GET /jobs/{id} and its data.status field to determine whether the job has completed, failed, or been canceled.

Authorizations

Authorization
string
header
required

API key authentication. Format: Bearer RJ-XXX.... Get your API key from the Renderjuice dashboard.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the job Unique identifier of the job

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

object | null

Success

jobId
string
required

Unique identifier of the job

Example:

"123e4567-e89b-12d3-a456-426614174000"

completedFrames
number
required

Number of frames that have been completed

Example:

50

totalFrames
number
required

Total number of frames to render

Example:

100